This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 54169 - rhnsd has over 1000 pipes open !
rhnsd has over 1000 pipes open !
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-29 21:51 EDT by Tx2
Modified: 2015-01-07 18:51 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-29 21:51:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tx2 2001-09-29 21:51:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0; DigExt)

Description of problem:
rhnsd leaks open pipe file descriptors (at least sometimes!

Verified only by looking at /proc/${PID_FOR_RHNSD}/fd/*

See the "Actual results" below

Version-Release number of selected component (if applicable):

Using redhat 8.0

How reproducible:
Didn't try

Steps to Reproduce:
Using a fairly vanilla redhat 7.0 config on an HP Netserver LH3 - 
used as a Windows LAN server only.  

It had been up for 25 days when I discovered the problem.

Never messed around with the rhnsd config - never heard
of it until now.


Actual Results:  Noticed the following in /var/log/messages:

Sep 23 17:31:44 spine rhnsd[827]: Could not create pipe for forking 
process; Too many open files

I found that rhnsd was at PID 827.

I also found that /proc/827/fd/
contained over 1000 file descriptors, 
which all looked like this:

l-wx------    1 root     root           64 Sep 29 18:49 827/fd/30 -> pipe:
[1612]
l-wx------    1 root     root           64 Sep 29 18:49 827/fd/300 -> pipe:
[6841]
lr-x------    1 root     root           64 Sep 29 18:49 827/fd/301 -> pipe:
[6873]
l-wx------    1 root     root           64 Sep 29 18:49 827/fd/302 -> pipe:
[6873]
lr-x------    1 root     root           64 Sep 29 18:49 827/fd/303 -> pipe:
[6897]
l-wx------    1 root     root           64 Sep 29 18:49 827/fd/304 -> pipe:
[6897]
lr-x------    1 root     root           64 Sep 29 18:49 827/fd/305 -> pipe:
[6945]
l-wx------    1 root     root           64 Sep 29 18:49 827/fd/306 -> pipe:
[6945]

Additional info:
Comment 1 Jay Turner 2001-10-01 07:59:35 EDT
What version of up2date do you have installed on the machine.  There was indeed
a file descriptor leak in a very early version of up2date, but an errata was
released with the fix shortly after we shipped 7.0.  The latest up2date is
2.5.4-1, so you will want to grab that to fix your problem.

Note You need to log in before you can comment on or make changes to this bug.